config/routes.rb
Rails.application.routes.draw do
  devise_for :usuarios
  root to: 'chats#show'
  mount ActionCable.server => '/cable'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/message.rb
class Message < ApplicationRecord
  after_create_commit { ChatBroadcastJob.perform_later self }
end

app/models/usuario.rb
class Usuario < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
end

app/controllers/chats_controller.rb
class ChatsController < ApplicationController
  before_action :authenticate_usuario!
  def show
    @messages = Message.all
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/chats_helper.rb
module ChatsHelper
end

app/views/chats/show.html.erb
<div class="container" align="center">
  <h1 class="title">Chat</h1>
  <div id="messages">
    <%= render @messages %>
  </div>
  <form>
    <input type="text" placeholder=" Digite sua mensagem " data-behavior="chat_speaker" />
  </form>
  <%= link_to('Sair do canal', destroy_usuario_session_path, :method => :delete) %>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>EP3</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>

app/views/messages/_message.html.erb
<div class="messages">
      <%= message.content %>
</div>